//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: misalign.c,r42 2006-02-18 04:23:47 ingo $

// MISALIGNED READ/WRITE 16/32-BIT WORDS

unsigned int ReadInt32(char *ptr)
{
return (ptr[0]) | (ptr[1]<<8) | (ptr[2]<<16) | (ptr[3]<<24);
}

void WriteInt32(char *ptr,int value)
{
*ptr++=value&0xff;
*ptr++=(value>>8)&0xff;
*ptr++=(value>>16)&0xff;
*ptr=(value>>24)&0xff;
}

unsigned int ReadInt16(char *ptr)
{
return (ptr[0]) | (ptr[1]<<8);
}

void WriteInt16(char *ptr,int value)
{
*ptr++=value&0xff;
*ptr=(value>>8)&0xff;
}
