//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


// Simple Stream Library for HP49g+


#include <stdio.h>


char * fgets(char *buf, int n, FILE *f)
{
    
    int i;
    char *ret = buf;
    
    for (i = 1; i < n; i++) { // read at most n-1 characters
        int c;
        c = fgetc(f);
        if (c == EOF) {
            if (i == 1)
                return NULL;
            else
                break;
        }
        else if ((char) c != '\r') // discard CRs
            *buf++ = (char) c;
        
        if ((char) c == '\n') break;
    }
    
    *buf = '\0';
    
    return ret;
}




