//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include <math.h>

// ROMLIB CHECKED
// < ibl ; 2006-04-03 >

double
_ipow(double x, int n)
{
    if( n == 0)
        return 1.0;
    else if (n & 1)
        return x * _ipow(x,n-1);
    else
        return square(_ipow(x,n/2));
}

double
ipow(double x, int n)
{
    
    return n < 0 ? 1.0/_ipow(x,-n) : _ipow(x,n);
}
