//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



// ADDED BY CLAUDIO:
// FAST MULTIPLY BY 10:
// a*10 = a*(2+8) = (a<<1) + (a<<3)

#define MUL10(a) ( ((a)<<1) + ((a)<<3) )

#include <math.h>

unsigned int sys_bcd2bin_nibbles(unsigned int  BCD,int nibbles)
{
    // fixed by Claudio
    // now it converts entire words, not only bytes
    
    // modified for converting variable number of nibbles for efficiency
    // < ibl ; 2004-12-06>
    
    register int dig=4*min(abs(nibbles),8)-4 ;  
    register int result=0;
    
    while(dig>=0) {
        // result*=10;
        result=MUL10(result);
        result+= (BCD>>dig)&0xf;
        dig-=4;
    }
    return result;
}




